<h1 align="center">
  Reel Scraper
  <br>
</h1>

<h4 align="center">
This Python project scrapes Instagram Reels from multiple accounts simultaneously, leveraging threading (and a dash of digital sorcery). It provides a convenient way to harvest Reels data without breaking a sweat—or Instagram's TOS (hopefully).
</h4>

<p align="center">
  <a href="#-installation">Installation</a> •
  <a href="#-usage">Usage</a> •
  <a href="#-contributing">Contributing</a> •
  <a href="#-license">License</a> •
  <a href="#-acknowledgments">Acknowledgments</a> •
  <a href="#-disclaimer">Disclaimer</a>
</p>

## 💻 Installation

Before you embark on your data-scraping journey, ensure that you have **Python 3.8+** installed on your system. If you don’t, please visit the official Python website: [https://www.python.org/downloads/](https://www.python.org/downloads/).  

### Steps

1. **Clone the repository**  
   ```bash
   git clone https://github.com/YourUsername/multi-instagram-scraper.git
   ```
2. **Navigate to the project directory**  
   ```bash
   cd multi-instagram-scraper
   ```
3. **Install dependencies**  
   ```bash
   pip install -r requirements.txt
   ```
   By the end of this step, you’re practically an Instagram-savvy wizard—just without the pointy hat.

## 🚀 Usage

Once you have all the dependencies installed, you’re ready to summon the scraper.

1. Make sure you have an `accounts.txt` file (or whichever file you’re using) with one Instagram username per line:
   ```
   user1
   user2
   user3
   ```
2. Run the scraper:
   ```bash
   python main.py
   ```
   Or, if you prefer to live on the edge:
   ```bash
   python multi_insta_scraper.py
   ```
   The code will read your `accounts.txt`, quickly go spelunking in the Instagram mines, and return a lovely dictionary with each user’s Reels info.

<details>
  <summary>Hidden Gag #1</summary>
  If you hear ominous chanting coming from your terminal—don’t worry, it’s just the concurrency demons hard at work.
</details>

## 🤝 Contributing

You’re more than welcome to contribute to this project—no, seriously, we need all the help we can get! Feel free to:

- **Fork** the project.
- **Create** a new branch.
- **Commit** your modifications.
- **Submit** a pull request.

Before submitting, please make sure your changes are well-tested, follow our code style, and include your favorite motivational quote in the commit message (optional but highly encouraged).

## 📄 License

This project is licensed under the [MIT License](https://github.com/andreaaazo/reelscrape/blob/master/LICENSE.txt). Feel free to do with it as you please, but please don’t blame us if your dog decides to open an Instagram account and become the next fluff-influencer.

## 🙏 Acknowledgments

- Huge shout-out to the **Python** community for making concurrency (relatively) sane.
- Special thanks to the mysterious folks who run **Instagram**—we promise to keep usage within reason. Probably.
- Props to all the **coffee beans** that gave their lives so we could code this into existence. May they rest in grounds.

## ⚠ Disclaimer

This project is intended **solely for educational and personal use**. We are not responsible for any misuse, infringement of Instagram's Terms of Service, or local regulations. Use responsibly—preferably with a side of common sense and a healthy fear of social media algorithms.
```